Bug 2264946 - Wifi PAsssword handling is limited
Summary: Wifi PAsssword handling is limited
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-initial-setup
Version: 40
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedBlocker AcceptedFreezeException
Depends On:
Blocks: BetaFreezeException, F40BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2024-02-19 18:54 UTC by Dennis Gilmore
Modified: 2024-02-27 12:42 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 2264946 0 unspecified NEW Wifi PAsssword handling is limited 2024-02-27 12:42:57 UTC

Internal Links: 2264946

Description Dennis Gilmore 2024-02-19 18:54:37 UTC
I mistyped the password for my wifi network. In gnome-initial-setup all that happened was that it attempted over and over to connect. There was no error message that the password was wrong, and there is no way to fix the password. Once it is typed, it is locked in and unchangeable until you have managed to get into the system when the gnome control centre allows you to correct it. In my case, I have multiple SSIDs and was able to use another successfully. Otherwise, I would have been stuck with a new install that I could not complete setup and use the system. 

Reproducible: Always

Comment 1 František Zatloukal 2024-02-26 16:38:19 UTC
Discussed in ticket: https://pagure.io/fedora-qa/blocker-review/issue/1469

The decision to classify this bug as an RejectedBlocker and AcceptedFreezeException was made:

"This doesn't violate Fedora release criteria, but would obviously be a nice thing to have fixed and improved, so rejecting as a blocker and accepting as a freeze exception."

Comment 2 Kamil Páral 2024-02-26 16:43:50 UTC
Dennis, can you please report the bug upstream [1] and link it here? Thanks!

[1] https://gitlab.gnome.org/GNOME/gnome-initial-setup


Note You need to log in before you can comment on or make changes to this bug.